# frozen_string_literal: true

require 'erratum/error'

module  Apiphobic
module  Errors
class   InvalidAcceptHeader < RuntimeError
  include Erratum::Error

  attr_accessor :accept_header

  def http_status
    400
  end

  def title
    'Invalid Accept Header'
  end

  def detail
    <<~HEREDOC.chomp.tr("\n", ' ')
      The accept header that you passed in the request cannot be parsed, please
      refer to the documentation to verify.
    HEREDOC
  end

  def source
    {
      'accept_header' => accept_header,
    }
  end
end
end
end
