# frozen_string_literal: true

require 'erratum/error'

module  Apiphobic
module  Errors
class   InvalidRequestBody < RuntimeError
  include Erratum::Error

  attr_accessor :request_body

  def http_status
    400
  end

  def title
    'Invalid Request Body'
  end

  def detail
    'The information you attempted to send in the request cannot be parsed as ' \
    'a valid JSON document.'
  end

  def source
    {
      'request_body' => request_body,
    }
  end
end
end
end
