# frozen_string_literal: true

require 'erratum/error'

module  Apiphobic
module  Errors
class   InvalidSubdomain < RuntimeError
  include Erratum::Error

  attr_accessor :http_host

  def http_status
    404
  end

  def title
    'Invalid Subdomain'
  end

  def detail
    <<~HEREDOC.chomp.tr("\n", ' ')
      The subdomain you attempted to access is not valid. Please try again.
    HEREDOC
  end

  def source
    {
      'http_host' => http_host,
    }
  end
end
end
end
