# frozen_string_literal: true

module  Apiphobic
module  Middleware
module  Converters
class   ContentType
  JSON_API_MIME_TYPE_PATTERN = %r{application/vnd\.api\+json(?=\z|;)}

  def initialize(app)
    @app = app
  end

  def call(env)
    env['CONTENT_TYPE'] = env['CONTENT_TYPE']
                            .to_s
                            .gsub(JSON_API_MIME_TYPE_PATTERN, 'application/json')

    @app.call(env)
  end
end
end
end
end
