# frozen_string_literal: true

require 'json'
require 'apiphobic/requests/transform_json_api'
require 'apiphobic/responses/invalid_request_body'
require 'apiphobic/responses/transform_json_api'

module  Apiphobic
module  Middleware
module  Converters
class   JsonApiParameters
  def initialize(app)
    @app = app
  end

  def call(env)
    request = Requests::TransformJsonApi.new(env)

    json_api_request = request.transform

    raw_response = @app.call(json_api_request)

    response = Responses::TransformJsonApi.new(*raw_response)

    response.transform
  rescue JSON::ParserError
    Responses::InvalidRequestBody.call(env)
  end
end
end
end
end
