# frozen_string_literal: true

require 'apiphobic/matchers/subdomain'
require 'apiphobic/middleware/configurable'
require 'apiphobic/responses/invalid_subdomain'

module  Apiphobic
module  Middleware
module  Validators
class   Subdomain
  include Configurable

  def initialize(app)
    @app = app
  end

  def call(env)
    request   = Requests::Subdomain.new(env)
    subdomain = Matchers::Subdomain.new(
                  allowed_subdomains: configuration.allowed_subdomains,
                )

    return Responses::InvalidSubdomain.call(env) unless subdomain.matches?(request)

    @app.call(env)
  end
end
end
end
end
